package com.datacloudsec.scan.service.impl;

import com.datacloudsec.scan.dao.FullScreenMapper;
import com.datacloudsec.scan.service.IFullScreen;
import com.datacloudsec.utils.DataRule;
import com.datacloudsec.utils.DateUtil;
import com.datacloudsec.utils.InstanceUtil;
import com.datacloudsec.utils.ObjectUtil;
import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpSession;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_datacloudsec_scan_service_impl.jar:com/datacloudsec/scan/service/impl/FullScreenService.class */
public class FullScreenService implements IFullScreen {
    private FullScreenMapper fullScreen = (FullScreenMapper) InstanceUtil.newDaoInstance(FullScreenMapper.class);

    public Map<String, Object> deviceTotal(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.fullScreen.deviceTotal(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> bugCityTop10(HttpSession session, Integer type, Integer regionSid, Integer regionCid) throws Exception {
        return this.fullScreen.bugCityTop10(DataRule.getRuleWhere(session, "t_task"), type, regionSid, regionCid);
    }

    public List<Map<String, Object>> bugTrend(HttpSession session, Integer type, Integer regionSid, Integer regionCid) throws Exception {
        if (type.intValue() == 1) {
            return this.fullScreen.bugTrend(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        }
        if (type.intValue() == 2) {
            return this.fullScreen.bugTrendBline(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        }
        if (type.intValue() == 3) {
            return this.fullScreen.bugTrendDb(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        }
        if (type.intValue() == 4) {
            return this.fullScreen.bugTrendWeb(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        }
        return null;
    }

    public List<String> bugTrendTime(HttpSession session, Integer type, Integer regionSid, Integer regionCid) throws Exception {
        if (type.intValue() == 1) {
            return this.fullScreen.bugTrendTime(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        }
        if (type.intValue() == 2) {
            return this.fullScreen.bugTrendBlineTime(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        }
        if (type.intValue() == 3) {
            return this.fullScreen.bugTrendDbTime(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        }
        if (type.intValue() == 4) {
            return this.fullScreen.bugTrendWebTime(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
        }
        return null;
    }

    public List<Map<String, Object>> bugGroupOut(HttpSession session, Integer type, Integer regionSid, Integer regionCid, String[] ip, String[] url) throws Exception {
        return this.fullScreen.bugGroupOut(DataRule.getRuleWhere(session, "t_task"), type, regionSid, regionCid, ip, url);
    }

    public List<Map<String, Object>> bugGroupIn(HttpSession session, Integer type, Integer regionSid, Integer regionCid) throws Exception {
        return this.fullScreen.bugGroupIn(DataRule.getRuleWhere(session, "t_task"), type, regionSid, regionCid);
    }

    public List<Map<String, Object>> chinaMap(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.fullScreen.chinaMap(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> bugRankTop10(HttpSession session, Integer type, Integer regionSid, Integer regionCid) throws Exception {
        return this.fullScreen.bugRankTop10(DataRule.getRuleWhere(session, "t_task"), type, regionSid, regionCid);
    }

    public List<Map<String, Object>> deviceRankTop10(HttpSession session, Integer regionSid, Integer regionCid) throws Exception {
        return this.fullScreen.deviceRankTop10(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid);
    }

    public List<Map<String, Object>> deviceRoll(HttpSession session, Integer regionSid, Integer regionCid, String[] ip, String[] url) throws Exception {
        List<Map<String, Object>> deviceRoll = this.fullScreen.deviceRoll(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid, ip, url);
        Long curr = Long.valueOf(System.currentTimeMillis());
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        for (Map<String, Object> m : deviceRoll) {
            String lastTime = ObjectUtil.getString(m.get("lastTime"), "");
            if (!"".equals(lastTime)) {
                Long time = Long.valueOf(sdf.parse(lastTime).getTime());
                String lasttime = DateUtil.time2Str(Long.valueOf(curr.longValue() - time.longValue()));
                if (StringUtils.isNotBlank(lasttime)) {
                    m.put("findTime", String.valueOf(lasttime) + "前");
                }
            }
        }
        return deviceRoll;
    }

    public List<Map<String, Object>> bugLevel(HttpSession session, Integer regionSid, Integer regionCid, String[] ip, String[] url) throws Exception {
        return this.fullScreen.bugLevel(DataRule.getRuleWhere(session, "t_task"), regionSid, regionCid, ip, url);
    }
}
